# Create a FinancialAddress object Create a new FinancialAddress for a FinancialAccount. ## Parameters - `currency` (enum, required) The currency the FinancialAddress should support. Currently, only the `usd` and `gbp` values are supported. - `financial_account` (string, required) The ID of the FinancialAccount the new FinancialAddress should be associated with. ## Returns ## Response attributes - `id` (string) The ID of a FinancialAddress. - `object` (string, value is "v2.money_management.financial_address") String representing the object’s type. Objects of the same type share the same value of the object field. - `created` (timestamp) The creation timestamp of the FinancialAddress. - `credentials` (object, nullable) Object indicates the type of credentials that have been allocated and attached to the FinancialAddress. It contains all necessary banking details with which to perform money movements with the FinancialAddress. This field is only available for FinancialAddresses with an active status. - `credentials.gb_bank_account` (object, nullable) The credentials of the UK Bank Account for the FinancialAddress. This contains unique banking details such as the sort code, account number, etc. of a UK bank account. - `credentials.gb_bank_account.account_holder_name` (string) The account holder name to be used during bank transference. - `credentials.gb_bank_account.account_number` (string, nullable) The account number of the UK Bank Account. - `credentials.gb_bank_account.last4` (string) The last four digits of the UK Bank Account number. This will always be returned. To view the full account number when retrieving or listing FinancialAddresses, use the `include` request parameter. - `credentials.gb_bank_account.sort_code` (string) The sort code of the UK Bank Account. - `credentials.type` (enum) The type of Credentials that are provisioned for the FinancialAddress. Possible enum values: - `gb_bank_account` A UK Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a UK bank account. - `us_bank_account` A US Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a US bank account. - `credentials.us_bank_account` (object, nullable) The credentials of the US Bank Account for the FinancialAddress. This contains unique banking details such as the routing number, account number, etc. of a US bank account. - `credentials.us_bank_account.account_number` (string, nullable) The account number of the US Bank Account. - `credentials.us_bank_account.bank_name` (string, nullable) The name of the Bank. - `credentials.us_bank_account.last4` (string) The last four digits of the US Bank Account number. This will always be returned. To view the full account number when retrieving or listing FinancialAddresses, use the `include` request parameter. - `credentials.us_bank_account.routing_number` (string) The routing number of the US Bank Account. - `credentials.us_bank_account.swift_code` (string, nullable) The swift code of the bank or financial institution. - `currency` (enum) The currency the FinancialAddress supports. - `financial_account` (string) A ID of the FinancialAccount this FinancialAddress corresponds to. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `status` (enum) An enum representing the status of the FinancialAddress. This indicates whether or not the FinancialAddress can be used for any money movement flows. Possible enum values: - `active` The Financial Address is active. - `archived` The Financial Address is archived, it cannot be used anymore. - `failed` The Financial Address creation failed. - `pending` The Financial Address is being created. ## Error Codes | HTTP status code | Code | Description | | ---------------- | ----------------- | --------------------------------------------------------------- | | 404 | not_found | The resource wasn’t found. | | 409 | idempotency_error | An idempotent retry occurred with different request parameters. | ```curl curl -X POST https://api.stripe.com/v2/money_management/financial_addresses \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-04-30.preview" \ --json '{ "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m", "currency": "usd" }' ``` ### Response ```json { "id": "finaddr_61O5ng8AAMZt30I2YH16O0lef0dSQgZ0EhGyZsQCXQHG4", "object": "v2.money_management.financial_address", "credentials": null, "status": "pending", "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m", "created": "2023-03-30T17:22:06.188Z", "currency": "usd" } ```